%define apuver 1

Summary: Apache Portable Runtime Utility library
Name: apr-util
Version: 1.2.12
Release: 1
License: Apache Software License 2.0
Group: System Environment/Libraries
URL: http://apr.apache.org/
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: apr-devel >= 1.2.0
BuildRequires: expat-devel

%description
The mission of the Apache Portable Runtime (APR) is to provide a
free library of C data structures and routines.  This library
contains additional utility interfaces for APR; including support
for XML, LDAP, database interfaces, URI parsing and more.

%package devel
Group: Development/Libraries
Summary: APR utility library development kit
Requires: apr-util = %{version}-%{release}
Requires: apr-devel, pkg-config, expat-devel

%description devel
This package provides the support files which can be used to 
build applications using the APR utility library.  The mission 
of the Apache Portable Runtime (APR) is to provide a free 
library of C data structures and routines.

%prep
%setup -q

%build

export CC=cc

autoheader && autoconf
./configure --prefix=%{_prefix} --enable-static --enable-shared \
	--with-apr=%{_prefix} \
	--includedir=%{_includedir}/apr-%{apuver}
make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE NOTICE
%{_libdir}/libaprutil-%{apuver}.so*

%files devel
%defattr(-,root,root,-)
%{_bindir}/apu-%{apuver}-config
%{_libdir}/libaprutil-%{apuver}.*a
%{_libdir}/aprutil.exp
%{_includedir}/apr-%{apuver}/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Nov 27 2007 Michael Perzl <michael@perzl.org> - 1.2.12-1
- updated to v1.2.12

* Wed Sep 12 2007 Michael Perzl <michael@perzl.org> - 1.2.10-1
- first version for AIX V5.1 and higher

